
%undefine _hardened_build

Name:           bgpstream
Version:        1.2.1
Release:        1%{?dist}
Summary:        BGPStream Core package provides BGPReader tool and libBGPStream library
Group:          Applications/Internet
License:        GPLv2
URL:            https://bgpstream.caida.org/
Source0:	https://bgpstream.caida.org/bundles/caidabgpstreamwebhomepage/dists/bgpstream-1.2.1.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gcc gcc-c++ bzip2-devel zlib-devel libcurl-devel wandio-devel sqlite-devel

%description
The BGPStream Core package provides the BGPReader and BGPCorsaro tools as well as the
libBGPStream API. Even if you plan to use the Python bindings PyBGPStream, you will
first need to install BGPStream Core. See the documentation for more information on 
using BGPStream.  

%package devel
Summary:        Development files for BGPStream API
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}

%description devel
The BGPStream Core package provides the BGPReader and BGPCorsaro tools as well as the
libBGPStream API. Even if you plan to use the Python bindings PyBGPStream, you will
first need to install BGPStream Core. See the documentation for more information on 
using BGPStream.  

This package contains development files needed for bgpstream.

%prep
%setup -q

%build
%configure --with-sqlite --disable-rpath 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

#%check
#make check test

%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license COPYING
%doc AUTHORS INSTALL NEWS README ChangeLog
%{_libdir}/libbgpstream.so*
%{_bindir}/bgpcorsaro
%{_bindir}/bgpreader

%files devel
%defattr(-,root,root,-)
%{_includedir}/bgpstream*.h
%{_libdir}/libbgpstream.a

%changelog
* Thu Oct 11 2018 Clinton Work <clinton@scripty.com>
- Update to version 1.2.1 and add F29 BuildRequires for gcc
* Fri Apr 06 2018 Clinton Work <clinton@scripty.com>
- Update to git branch bgpdump-fixes
* Sat Jun 25 2016 Clinton Work <clinton@scripty.com>
- Added undefine _hardened_build to resolve the configure -pthread failure
* Wed Jun 15 2016 Clinton Work <clinton@scripty.com>
- Create fedora spec file

